From e2fc52f88cb8019fd240a2f9e3501b49ab104dc8 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 19 Aug 2026 14:37:21 +0800
Subject: [PATCH] Remove WebView

---
 data/info.febvre.Komikku.gresource.xml.in     |   1 -
 data/meson.build                              |   1 -
 data/ui/preferences.blp                       |   1 +
 data/ui/webview.blp                           |  18 -
 komikku/application.py                        |   2 -
 komikku/debug_info.py                         |   4 -
 komikku/servers/comichubfree/__init__.py      | 290 ------
 komikku/servers/comix/__init__.py             | 686 --------------
 komikku/servers/goldenmangas/__init__.py      | 204 -----
 komikku/servers/japscan/__init__.py           | 300 -------
 komikku/servers/kaliscan/__init__.py          | 112 ---
 komikku/servers/mangaball/__init__.py         | 431 ---------
 komikku/servers/mangademon/__init__.py        | 302 -------
 komikku/servers/mangafire/__init__.py         | 501 -----------
 komikku/servers/mangafreak/__init__.py        | 241 -----
 komikku/servers/mangahere/__init__.py         | 289 ------
 komikku/servers/mangakawaii/__init__.py       | 425 ---------
 komikku/servers/mangamana/__init__.py         | 296 ------
 komikku/servers/manganelo/__init__.py         | 246 -----
 komikku/servers/mangatube/__init__.py         | 368 --------
 komikku/servers/mangaworld/__init__.py        | 251 ------
 komikku/servers/manhwahentai/__init__.py      |  83 --
 komikku/servers/multi/heancms/__init__.py     |   7 -
 komikku/servers/multi/keyoapp/__init__.py     |   6 -
 komikku/servers/multi/madara/__init__.py      |   8 -
 komikku/servers/multi/madtheme/__init__.py    |   7 -
 .../servers/multi/manga_stream/__init__.py    |   7 -
 komikku/servers/multi/paprika/__init__.py     |   7 -
 komikku/servers/multi/peachscan/__init__.py   |   7 -
 komikku/servers/multi/wpcomics/__init__.py    |   7 -
 komikku/servers/nhentai/__init__.py           | 202 -----
 komikku/servers/phenixscans/__init__.py       | 204 -----
 komikku/servers/raijinscan/__init__.py        | 304 -------
 komikku/servers/rawmanga/__init__.py          | 172 ----
 komikku/servers/readcomiconline/__init__.py   | 304 -------
 komikku/servers/readcomicsonline/__init__.py  | 257 ------
 komikku/servers/remanga/__init__.py           | 266 ------
 komikku/servers/scanmanga/__init__.py         | 286 ------
 komikku/servers/teamx/__init__.py             | 232 -----
 komikku/trackers/anilist/__init__.py          | 362 --------
 komikku/trackers/myanimelist/__init__.py      | 283 ------
 komikku/webview.py                            | 845 ------------------
 42 files changed, 1 insertion(+), 8824 deletions(-)
 delete mode 100644 data/ui/webview.blp
 delete mode 100644 komikku/servers/comichubfree/__init__.py
 delete mode 100644 komikku/servers/comix/__init__.py
 delete mode 100644 komikku/servers/goldenmangas/__init__.py
 delete mode 100644 komikku/servers/japscan/__init__.py
 delete mode 100644 komikku/servers/kaliscan/__init__.py
 delete mode 100644 komikku/servers/mangaball/__init__.py
 delete mode 100644 komikku/servers/mangademon/__init__.py
 delete mode 100644 komikku/servers/mangafire/__init__.py
 delete mode 100644 komikku/servers/mangafreak/__init__.py
 delete mode 100644 komikku/servers/mangahere/__init__.py
 delete mode 100644 komikku/servers/mangakawaii/__init__.py
 delete mode 100644 komikku/servers/mangamana/__init__.py
 delete mode 100644 komikku/servers/manganelo/__init__.py
 delete mode 100644 komikku/servers/mangatube/__init__.py
 delete mode 100644 komikku/servers/mangaworld/__init__.py
 delete mode 100644 komikku/servers/manhwahentai/__init__.py
 delete mode 100644 komikku/servers/nhentai/__init__.py
 delete mode 100644 komikku/servers/phenixscans/__init__.py
 delete mode 100644 komikku/servers/raijinscan/__init__.py
 delete mode 100644 komikku/servers/rawmanga/__init__.py
 delete mode 100644 komikku/servers/readcomiconline/__init__.py
 delete mode 100644 komikku/servers/readcomicsonline/__init__.py
 delete mode 100644 komikku/servers/remanga/__init__.py
 delete mode 100644 komikku/servers/scanmanga/__init__.py
 delete mode 100644 komikku/servers/teamx/__init__.py
 delete mode 100644 komikku/trackers/anilist/__init__.py
 delete mode 100644 komikku/trackers/myanimelist/__init__.py
 delete mode 100644 komikku/webview.py

diff --git a/data/info.febvre.Komikku.gresource.xml.in b/data/info.febvre.Komikku.gresource.xml.in
index 5908c536..9f0546b0 100644
--- a/data/info.febvre.Komikku.gresource.xml.in
+++ b/data/info.febvre.Komikku.gresource.xml.in
@@ -25,7 +25,6 @@
         <file compressed="true" preprocess="xml-stripblanks">ui/reader_settings.ui</file>
         <file compressed="true" preprocess="xml-stripblanks">ui/shortcuts.ui</file>
         <file compressed="true" preprocess="xml-stripblanks">ui/support.ui</file>
-        <file compressed="true" preprocess="xml-stripblanks">ui/webview.ui</file>
 
         <!-- Menus -->
         <file compressed="true" preprocess="xml-stripblanks">ui/menu/main.xml</file>
diff --git a/data/meson.build b/data/meson.build
index 269b2dfc..fe3025bd 100644
--- a/data/meson.build
+++ b/data/meson.build
@@ -141,7 +141,6 @@ blueprints = custom_target('blueprints',
         'ui/reader_settings.blp',
         'ui/shortcuts.blp',
         'ui/support.blp',
-        'ui/webview.blp',
     ),
     output: '.',
     command: [find_program('blueprint-compiler'), 'batch-compile', '--minify', '@OUTPUT@', '@CURRENT_SOURCE_DIR@', '@INPUT@'],
diff --git a/data/ui/preferences.blp b/data/ui/preferences.blp
index cdf8c0d1..e93af79a 100644
--- a/data/ui/preferences.blp
+++ b/data/ui/preferences.blp
@@ -449,6 +449,7 @@ template $PreferencesDialog : Adw.PreferencesDialog {
     }
 
     Adw.PreferencesGroup {
+visible: false;
       title: _("WebView");
 
       Adw.ActionRow clear_webview_data_actionrow {
diff --git a/komikku/application.py b/komikku/application.py
index 9397ecf9..a2dd9a5a 100644
--- a/komikku/application.py
+++ b/komikku/application.py
@@ -47,7 +47,6 @@ from komikku.support import SupportPage
 from komikku.trackers import Trackers
 from komikku.updater import Updater
 from komikku.utils import random_palette
-from komikku.webview import WebviewPage
 
 BANNER = """
 ██╗  ██╗ ██████╗ ███╗   ███╗██╗██╗  ██╗██╗  ██╗██╗   ██╗
@@ -310,7 +309,6 @@ class ApplicationWindow(Adw.ApplicationWindow):
         self.explorer = Explorer(self)
         self.history = HistoryPage(self)
         self.support = SupportPage(self)
-        self.webview = WebviewPage(self)
 
         # Init dialogs
         self.preferences = PreferencesDialog(self)
diff --git a/komikku/debug_info.py b/komikku/debug_info.py
index 69adfc14..1745c31d 100644
--- a/komikku/debug_info.py
+++ b/komikku/debug_info.py
@@ -12,14 +12,12 @@ gi.require_version('Adw', '1')
 gi.require_version('GdkPixbuf', '2.0')
 gi.require_version('Gtk', '4.0')
 gi.require_version('Soup', '3.0')
-gi.require_version('WebKit', '6.0')
 
 from gi.repository import Adw
 from gi.repository import GdkPixbuf
 from gi.repository import GLib
 from gi.repository import Gtk
 from gi.repository import Soup
-from gi.repository import WebKit
 
 from komikku.models.database import VERSION as DB_VERSION
 from komikku.utils import check_cmdline_tool
@@ -115,14 +113,12 @@ class DebugInfo:
         info += f'- GdkPixbuf: {GdkPixbuf.PIXBUF_VERSION}\n'
         info += f'- GTK: {Gtk.MAJOR_VERSION}.{Gtk.MINOR_VERSION}.{Gtk.MICRO_VERSION}\n'
         info += f'- Adwaita: {Adw.VERSION_S}\n'
-        info += f'- WebKitGTK: {WebKit.MAJOR_VERSION}.{WebKit.MINOR_VERSION}.{WebKit.MICRO_VERSION}\n'
         info += f'- Soup: {Soup.MAJOR_VERSION}.{Soup.MINOR_VERSION}.{Soup.MICRO_VERSION}\n'
         info += '\n'
 
         info += 'Running against:\n'
         info += f'- GTK: {Gtk.get_major_version()}.{Gtk.get_minor_version()}.{Gtk.get_micro_version()}\n'
         info += f'- Adwaita: {Adw.get_major_version()}.{Adw.get_minor_version()}.{Adw.get_micro_version()}\n'
-        info += f'- WebKitGTK: {WebKit.get_major_version()}.{WebKit.get_minor_version()}.{WebKit.get_micro_version()}\n'
         info += f'- Soup: {Soup.get_major_version()}.{Soup.get_minor_version()}.{Soup.get_micro_version()}\n'
         info += f'- Magic: {magic.version()}\n'
         info += '\n'
diff --git a/komikku/servers/multi/heancms/__init__.py b/komikku/servers/multi/heancms/__init__.py
index e7b5836f..295301c9 100644
--- a/komikku/servers/multi/heancms/__init__.py
+++ b/komikku/servers/multi/heancms/__init__.py
@@ -28,7 +28,6 @@ from komikku.servers.utils import convert_date_string
 from komikku.servers.utils import parse_nextjs_hydration
 from komikku.utils import get_buffer_mime_type
 from komikku.utils import get_response_elapsed
-from komikku.webview import CompleteChallenge
 
 logger = logging.getLogger('komikku.servers.multi.heancms')
 
@@ -57,7 +56,6 @@ class HeanCMS(Server):
             self.session = requests.Session()
             self.session.headers.update({'User-Agent': USER_AGENT})
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data via API request
@@ -112,7 +110,6 @@ class HeanCMS(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns manga chapter data by scraping chapter HTML page content
@@ -201,7 +198,6 @@ class HeanCMS(Server):
 
         return list(reversed(chapters))
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -231,7 +227,6 @@ class HeanCMS(Server):
         """
         return self.manga_url.format(slug)
 
-    @CompleteChallenge()
     def get_latest_updates(self):
         """
         Returns latest updates
@@ -276,13 +271,11 @@ class HeanCMS(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_most_populars(self):
         """
         Returns most popular mangas
         """
         return self.get_manga_list(orderby='popular')
 
-    @CompleteChallenge()
     def search(self, term):
         return self.get_manga_list(term=term)
diff --git a/komikku/servers/multi/keyoapp/__init__.py b/komikku/servers/multi/keyoapp/__init__.py
index 43f190e9..9e9edd6a 100644
--- a/komikku/servers/multi/keyoapp/__init__.py
+++ b/komikku/servers/multi/keyoapp/__init__.py
@@ -18,7 +18,6 @@ from komikku.servers import Server
 from komikku.servers.utils import convert_date_string
 from komikku.utils import get_buffer_mime_type
 from komikku.utils import is_number
-from komikku.webview import CompleteChallenge
 
 logger = logging.getLogger(__name__)
 
@@ -58,7 +57,6 @@ class Keyoapp(Server):
             self.session = requests.Session()
             self.session.headers.update({'User-Agent': USER_AGENT})
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -148,7 +146,6 @@ class Keyoapp(Server):
 
         return chapters
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns manga chapter data by scraping chapter HTML page content
@@ -215,7 +212,6 @@ class Keyoapp(Server):
         """
         return self.manga_url.format(slug)
 
-    @CompleteChallenge()
     def get_latest_updates(self):
         """
         Returns latest updates
@@ -247,7 +243,6 @@ class Keyoapp(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_most_populars(self):
         """
         Returns most popular manga
@@ -274,7 +269,6 @@ class Keyoapp(Server):
 
         return results
 
-    @CompleteChallenge()
     def search(self, term):
         r = self.session_get(
             self.search_url,
diff --git a/komikku/servers/multi/madara/__init__.py b/komikku/servers/multi/madara/__init__.py
index 5e0b0405..84594d58 100644
--- a/komikku/servers/multi/madara/__init__.py
+++ b/komikku/servers/multi/madara/__init__.py
@@ -51,7 +51,6 @@ from komikku.servers.utils import convert_date_string
 from komikku.servers.utils import get_soup_element_inner_text
 from komikku.servers.utils import remove_emoji_from_string
 from komikku.utils import get_buffer_mime_type
-from komikku.webview import CompleteChallenge
 
 logger = logging.getLogger('komikku.servers.madara')
 
@@ -113,7 +112,6 @@ class Madara(Server):
 
         return None, None
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -272,7 +270,6 @@ class Madara(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns manga chapter data by scraping chapter HTML page content
@@ -314,7 +311,6 @@ class Madara(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -356,7 +352,6 @@ class Madara(Server):
         """
         return self.search('', orderby='populars')
 
-    @CompleteChallenge()
     def search(self, term, orderby=None):
         data = {
             'action': 'madara_load_more',
@@ -444,21 +439,18 @@ class Madara2(Madara):
         if Settings.instance:
             self.filters[0]['default'] = Settings.get_default().nsfw_content
 
-    @CompleteChallenge()
     def get_latest_updates(self, nsfw):
         """
         Returns list of latest updates manga
         """
         return self.search(None, nsfw=nsfw, orderby='latest')
 
-    @CompleteChallenge()
     def get_most_populars(self, nsfw):
         """
         Returns list of most viewed manga
         """
         return self.search(None, nsfw=nsfw, orderby='populars')
 
-    @CompleteChallenge()
     def search(self, term, nsfw, orderby=None):
         params = {
             's': term or '',
diff --git a/komikku/servers/multi/madtheme/__init__.py b/komikku/servers/multi/madtheme/__init__.py
index cba01369..d666a8de 100644
--- a/komikku/servers/multi/madtheme/__init__.py
+++ b/komikku/servers/multi/madtheme/__init__.py
@@ -13,7 +13,6 @@ from komikku.consts import USER_AGENT
 from komikku.servers import Server
 from komikku.servers.utils import convert_date_string
 from komikku.utils import get_buffer_mime_type
-from komikku.webview import CompleteChallenge
 
 logger = logging.getLogger(__name__)
 
@@ -68,7 +67,6 @@ class Madtheme(Server):
             self.session = requests.Session()
             self.session.headers.update({'User-Agent': USER_AGENT})
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -118,7 +116,6 @@ class Madtheme(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns manga chapter data by scraping chapter HTML page content
@@ -177,7 +174,6 @@ class Madtheme(Server):
                 'date': convert_date_string(date_element.text.strip(), format=self.date_format, languages=[self.lang]),
             })
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -285,20 +281,17 @@ class Madtheme(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_latest_updates(self, status=None):
         """
         Returns list of latest manga
         """
         return self.get_manga_list(status=status, orderby='latest')
 
-    @CompleteChallenge()
     def get_most_populars(self, status=None):
         """
         Returns list of popular manga
         """
         return self.get_manga_list(status=status, orderby='popular')
 
-    @CompleteChallenge()
     def search(self, term, status=None):
         return self.get_manga_list(term=term, status=status)
diff --git a/komikku/servers/multi/manga_stream/__init__.py b/komikku/servers/multi/manga_stream/__init__.py
index 83a67152..c07332e6 100644
--- a/komikku/servers/multi/manga_stream/__init__.py
+++ b/komikku/servers/multi/manga_stream/__init__.py
@@ -43,7 +43,6 @@ from komikku.servers import Server
 from komikku.servers.utils import convert_date_string
 from komikku.servers.utils import get_soup_element_inner_text
 from komikku.utils import get_buffer_mime_type
-from komikku.webview import CompleteChallenge
 
 
 class MangaStream(Server):
@@ -107,7 +106,6 @@ class MangaStream(Server):
             self.session = requests.Session()
             self.session.headers.update({'User-Agent': USER_AGENT})
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -272,7 +270,6 @@ class MangaStream(Server):
 
         return chapters
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns manga chapter data by scraping chapter HTML page content
@@ -335,7 +332,6 @@ class MangaStream(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -402,14 +398,11 @@ class MangaStream(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_latest_updates(self, type):
         return self.get_manga_list(type=type, orderby='update')
 
-    @CompleteChallenge()
     def get_most_populars(self, type):
         return self.get_manga_list(type=type, orderby='popular')
 
-    @CompleteChallenge()
     def search(self, term, type):
         return self.get_manga_list(title=term, type=type)
diff --git a/komikku/servers/multi/paprika/__init__.py b/komikku/servers/multi/paprika/__init__.py
index a414db6d..ad2b6c08 100644
--- a/komikku/servers/multi/paprika/__init__.py
+++ b/komikku/servers/multi/paprika/__init__.py
@@ -12,7 +12,6 @@ from komikku.consts import USER_AGENT
 from komikku.servers import Server
 from komikku.utils import get_buffer_mime_type
 from komikku.utils import is_number
-from komikku.webview import CompleteChallenge
 
 
 class Paprika(Server):
@@ -42,7 +41,6 @@ class Paprika(Server):
         if self.chapter_url is None:
             self.chapter_url = self.base_url + '/chapter/{0}'
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -129,7 +127,6 @@ class Paprika(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         r = self.session_get(self.chapter_url.format(chapter_slug))
         if r.status_code != 200:
@@ -148,7 +145,6 @@ class Paprika(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -178,7 +174,6 @@ class Paprika(Server):
         """
         return self.manga_url.format(slug)
 
-    @CompleteChallenge()
     def get_latest_updates(self):
         r = self.session_get(self.latest_updates_url)
         if r.status_code != 200:
@@ -186,7 +181,6 @@ class Paprika(Server):
 
         return self.parse_manga_list(r.text)
 
-    @CompleteChallenge()
     def get_most_populars(self):
         r = self.session_get(self.most_populars_url)
         if r.status_code != 200:
@@ -209,7 +203,6 @@ class Paprika(Server):
 
         return results
 
-    @CompleteChallenge()
     def search(self, term):
         r = self.session_get(
             self.search_url,
diff --git a/komikku/servers/multi/peachscan/__init__.py b/komikku/servers/multi/peachscan/__init__.py
index c5fc07ca..e3454c7b 100644
--- a/komikku/servers/multi/peachscan/__init__.py
+++ b/komikku/servers/multi/peachscan/__init__.py
@@ -25,7 +25,6 @@ from komikku.servers import Server
 from komikku.servers.utils import convert_date_string
 from komikku.servers.utils import get_soup_element_inner_text
 from komikku.utils import get_buffer_mime_type
-from komikku.webview import CompleteChallenge
 
 RE_ZIP_IMAGES = re.compile(r'base64,([a-zA-Z0-9+=\/\n]*)')
 
@@ -59,7 +58,6 @@ class Peachscan(Server):
         if self.image_url is None:
             self.image_url = self.base_url + '{0}#page'
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns manga data by scraping manga HTML page content
@@ -141,7 +139,6 @@ class Peachscan(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         r = self.session_get(self.chapter_url.format(manga_slug, chapter_slug))
         if r.status_code != 200:
@@ -178,7 +175,6 @@ class Peachscan(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -256,7 +252,6 @@ class Peachscan(Server):
         """
         return self.manga_url.format(slug)
 
-    @CompleteChallenge()
     def get_latest_updates(self):
         r = self.session_get(self.latest_updates_url)
         if r.status_code != 200:
@@ -277,7 +272,6 @@ class Peachscan(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_most_populars(self):
         r = self.session_get(self.most_populars_url)
         if r.status_code != 200:
@@ -298,7 +292,6 @@ class Peachscan(Server):
 
         return results
 
-    @CompleteChallenge()
     def search(self, term):
         r = self.session_get(
             self.search_url,
diff --git a/komikku/servers/multi/wpcomics/__init__.py b/komikku/servers/multi/wpcomics/__init__.py
index 95ce00e7..14c88c39 100644
--- a/komikku/servers/multi/wpcomics/__init__.py
+++ b/komikku/servers/multi/wpcomics/__init__.py
@@ -23,7 +23,6 @@ from komikku.servers.utils import get_soup_element_inner_text
 from komikku.utils import get_buffer_mime_type
 from komikku.utils import is_number
 from komikku.utils import get_response_elapsed
-from komikku.webview import CompleteChallenge
 
 # WPComics Wordpress theme
 
@@ -65,7 +64,6 @@ class WPComics(Server):
                 'User-Agent': USER_AGENT,
             }
 
-    @CompleteChallenge()
     def get_manga_data(self, initial_data):
         """
         Returns comic data by scraping manga HTML page content
@@ -129,7 +127,6 @@ class WPComics(Server):
 
         return data
 
-    @CompleteChallenge()
     def get_manga_chapter_data(self, manga_slug, manga_name, chapter_slug, chapter_url):
         """
         Returns comic chapter data
@@ -236,7 +233,6 @@ class WPComics(Server):
 
         return list(reversed(chapters))
 
-    @CompleteChallenge()
     def get_manga_chapter_page_image(self, manga_slug, manga_name, chapter_slug, page):
         """
         Returns chapter page scan (image) content
@@ -333,14 +329,11 @@ class WPComics(Server):
 
         return results
 
-    @CompleteChallenge()
     def get_latest_updates(self):
         return self.get_manga_list(orderby='latest')
 
-    @CompleteChallenge()
     def get_most_populars(self):
         return self.get_manga_list(orderby='populars')
 
-    @CompleteChallenge()
     def search(self, term):
         return self.get_manga_list(term=term)
